<?php
/**
 * This file is part of the official Amazon Checkout extension for Magento 1.x
 *
 * (c) 2020 creativestyle GmbH. All Rights reserved
 *
 * Distribution of the derivatives reusing, transforming or being built upon
 * this software, is not allowed without explicit written permission granted
 * by creativestyle GmbH
 *
 * @category   Creativestyle
 * @package    Creativestyle_AmazonCheckout
 * @copyright  2020 creativestyle GmbH
 * @author     Marek Stefan <ticket@creativestyle.de>
 */

class Creativestyle_AmazonCheckout_Exception_Runtime_Api extends Creativestyle_AmazonCheckout_Exception_Runtime
{
    /**
     * @var string
     */
    protected $reasonCode;

    /**
     * Creativestyle_AmazonCheckout_Exception_Runtime_Api constructor.
     * @param string $message
     * @param int $code
     * @param string|null $reasonCode
     * @param Throwable|null $previous
     */
    public function __construct($message = "", $code = 0, $reasonCode = null, Throwable $previous = null)
    {
        $this->reasonCode = $reasonCode;
        parent::__construct($message, $code, $previous);
    }

    /**
     * @return string|null
     */
    public function getReasonCode()
    {
        return $this->reasonCode;
    }
}
