<?php
/**
 * This file is part of the official Amazon Checkout extension for Magento 1.x
 *
 * (c) 2020 creativestyle GmbH. All Rights reserved
 *
 * Distribution of the derivatives reusing, transforming or being built upon
 * this software, is not allowed without explicit written permission granted
 * by creativestyle GmbH
 *
 * @category   Creativestyle
 * @package    Creativestyle_AmazonCheckout
 * @copyright  2020 creativestyle GmbH
 * @author     Marek Stefan <ticket@creativestyle.de>
 */

class Creativestyle_AmazonCheckout_Model_System_Config_Source_Environment extends Creativestyle_AmazonCheckout_Model_System_Config_Source_Abstract
{
    const ENVIRONMENT_LIVE          = 'live';
    const ENVIRONMENT_SANDBOX       = 'sandbox';

    protected $_options = array(
        self::ENVIRONMENT_SANDBOX   => 'Sandbox (test)',
        self::ENVIRONMENT_LIVE      => 'Production (live)'
    );

    /**
     * Check if the given environment is sandbox
     *
     * @api
     *
     * @param string $environment
     * @return bool
     */
    public function isSandbox($environment)
    {
        return $environment == self::ENVIRONMENT_SANDBOX;
    }
}
